Skip to content
masterclassBuddyTech Buzz5 fresh blogs · 5:00 AM IST

API reference

Langflow API reference

low-code visual builder for AI agents and workflows, served through a REST API, MCP and A2A servers, and the LFX runtime

Identifiers
103
With full guides
0
Types
7

Topics covered

  • Flows & components
  • Run API & tweaks
  • Workflow API (v2)
  • Webhooks
  • MCP server & client
  • Custom Python components
  • LFX runtime
  • Deployment & authentication

Class

NameWhat it does
ComponentClass
OutputClass
MessageClass
JSONClass
TableClass
LangflowClientClass

Component

NameWhat it does
Chat InputComponent
Chat OutputComponent
AgentComponent
Language ModelComponent
Embedding ModelComponent
Prompt TemplateComponent
Message HistoryComponent
Structured OutputComponent
ParserComponent
Split TextComponent
LoopComponent
If-ElseComponent
Smart RouterComponent
Run FlowComponent
URLComponent
Web SearchComponent
Python InterpreterComponent
MCP ToolsComponent
WebhookComponent
Knowledge BaseComponent
GuardrailsComponent
Batch RunComponent
Human InputComponent
langflow-chatComponent
API RequestComponent
Read FileComponent
Write FileComponent
Type ConvertComponent
Smart TransformComponent
SQL DatabaseComponent
LLM SelectorComponent
CalculatorComponent
Current DateComponent

Function

NameWhat it does
update_build_configFunction

Const

NameWhat it does
LANGFLOW_AUTO_LOGINConst
LANGFLOW_SUPERUSERConst
LANGFLOW_SECRET_KEYConst
LANGFLOW_DATABASE_URLConst
LANGFLOW_API_KEY_SOURCEConst
LANGFLOW_COMPONENTS_PATHConst
LANGFLOW_WORKERSConst
LANGFLOW_CONFIG_DIRConst
LANGFLOW_TWEAKS_POLICYConst
LANGFLOW_WEBHOOK_AUTH_ENABLEConst
LANGFLOW_VARIABLES_TO_GET_FROM_ENVIRONMENTConst
LANGFLOW_CACHE_TYPEConst
LANGFLOW_LOAD_FLOWS_PATHConst
X-LANGFLOW-GLOBAL-VAR-*Const

Module

NameWhat it does
FlowModule
Components & portsModule
TweaksModule
Session IDModule
Global variablesModule
Tool ModeModule
PlaygroundModule
ProjectsModule
LangSmith & tracing integrationsModule
Voice modeModule

Command

NameWhat it does
uv pip install langflowCommand
langflow runCommand
langflow superuserCommand
langflow api-keyCommand
langflow migrationCommand
langflow copy-dbCommand
docker run langflowai/langflowCommand
lfx runCommand
lfx serveCommand
lfx pushCommand

Service

NameWhat it does
POST /api/v1/run/{flow_id}Service
POST /api/v1/run/advanced/{flow_id}Service
POST /api/v1/webhook/{flow_id}Service
POST /api/v2/workflowsService
GET /api/v2/workflowsService
GET /api/v2/workflows/{job_id}/eventsService
POST /api/v2/workflows/stopService
POST /api/v1/responsesService
POST /api/v1/build/{flow_id}/flowService
POST /api/v1/flows/Service
GET /api/v1/flows/Service
PATCH /api/v1/flows/{flow_id}Service
POST /api/v1/flows/upload/Service
POST /api/v1/flows/download/Service
POST /api/v1/projects/Service
GET /api/v1/projects/download/{project_id}Service
POST /api/v1/files/upload/{flow_id}Service
POST /api/v2/filesService
GET /api/v1/monitor/messagesService
GET /api/v1/monitor/buildsService
GET /api/v1/monitor/tracesService
GET /logs-streamService
POST /api/v1/users/Service
GET /api/v1/users/whoamiService
POST /api/v1/api_key/Service
GET /health_checkService
GET /api/v1/allService
/api/v1/mcp/project/{project_id}/streamableService
POST /api/v1/a2a/{flow_id}/jsonrpcService

Search across every package and filter by type in your dashboard.

Start learning